:root {
    --top-space: 3rem;
    --header-width: 240px;
    --bleu-noir: #1E335E;
    --bleu-blanc: #F5F7FC;
    --bleu-pale: #D8E0F1;
    --bleu-moyen-1: #B1C2E4;
    --bleu-moyen-2: #89A3D6;
    --bleu-base: #2C4D8C;
    --noir: #0F1A2F;

    --bleu-noir: #092ca0;
    --bleu-blanc: #F5FAFF;
    --bleu-pale: #D7F0FF;
    --bleu-moyen-1: #e9f0ff;
    --bleu-moyen-2: #6EAFFF;
    --bleu-base: #0063E4;
    --noir: #000D50;

    /* Color Theme Swatches in Hex */
    /* --snow-5: #E0EAFF;
    --snow-4: #EAF0FF;
    --snow-3: #F0F5FF;
    --snow-2: #F8FAFF;
    --snow-1: #fcfeff; */

    /* Color Theme Swatches in Hex */
    --snow-5: #b2c8f7;
    --snow-4: #c2d1f1;
    --snow-3: #d5dff6;
    --snow-2: #e6edff;
    --snow-1: #FFF;


}

html {
    font-size: 19px;
    scroll-behavior: initial;
}

div {
    box-sizing: border-box;
}

body {
    font-family: "classico-urw", 'Optima', sans-serif;
    font-size: 1rem;
    margin: 0;
    letter-spacing: .03em;
    background-color: #FFF;
    scroll-behavior: initial;
    color: var(--noir)
}

/* #region HEADER */
header {
    position: fixed;
    left: 0;
    height: 100%;
    width: var(--header-width);
    bottom: 0;
    background-color: var(--bleu-noir);
}

.site-logo {
    display: block;
    max-width: 60%;
    margin: var(--top-space) auto;
}

/* #region NAV */
#toggleNav {
    display: none;
}

nav {
    margin-top: 15vh;
    font-size: 1.1rem;
    border: 1px solid var(--bleu-moyen-1);
    border-left: 0;
    border-right: 0;
    margin-left: 1.5rem;
    margin-right: 1.5rem;
}

nav ul {
    padding: 1rem 0 0;

}

nav li {
    list-style-type: none;
    text-align: center;
}

nav a {
    text-transform: uppercase;
    display: inline-block;
    margin-bottom: 1rem;
    text-decoration: none;

    color: var(--bleu-blanc);

}

nav a.active,
nav a:hover {
    color: var(--bleu-moyen-1);
}

/* #endregion */

/* #endregion */

/* #region STRUCTURE */
.wrapper {
    padding: var(--top-space) 1.5rem;
    max-width: 700px;
    margin: 10vh 1rem;
    background-color: #FFF;
    display: flex;
    flex-direction: column;
}

main {
    margin-left: var(--header-width);
    max-width: calc(100% - var(--header-width));
}

section {
    padding: 10vh 2em 10vh 10vh;
    box-sizing: border-box;
}

.section-wrapper {
    max-width: 800px;
}

.section-wrapper.section-large {
    max-width: 1200px;
}

.slogan {
    text-transform: uppercase;
}

.bg-1 {
    background-color: var(--snow-1);
}

.bg-2 {
    background-color: var(--snow-2);
}

.bg-3 {
    background-color: var(--snow-3);
}

.bg-4 {
    background-color: var(--snow-4);
}

.bg-5 {
    background-color: var(--snow-5);
}

.bg-6 {
    background-color: var(--noir);
}

.bg-neg {
    color: var(--bleu-blanc);

    & h1,
    & h2 {
        color: var(--bleu-blanc);
    }
}

.cols {
    display: flex;
    flex-flow: row wrap;
    margin-left: -1rem;
    margin-right: -1rem;
}

.demi {
    flex: 0 1 50%;
    max-width: 50%;
    padding: 0 1rem;
}

.portrait {
    width: 260px;
    height: 300px;
}

.portrait img {
    display: block;
    max-width: 100%;
}

.hex-clip {
    clip-path: polygon(50% 0%, 100% 25%, 100% 75%, 50% 100%, 0% 75%, 0% 25%);

}

/* deux colonnes portrait */
.section-2col {
    display: flex;
    flex-flow: row wrap;
    max-width: 100%;
    max-width: cac(100% - var(--header-width));
}

.section-portrait {
    max-width: 25%;
    flex: 0 1 25%;
    margin-left: 2rem;
}

.section-portrait img {
    width: auto;
    height: auto;
    display: block;
    max-width: 100%;
}

.flex-row {
    display: flex;
    flex-flow: row wrap;
    margin-left: -1rem;
    margin-right: -1rem;
}

.col-demi {
    padding-left: 1rem;
    padding-right: 1rem;
    max-width: 50%;
    flex: 1 1 50%;
}

/* #endregion */

/* #region TYPO */
a {
    color: var(--bleu-moyen-vif);
}

p {
    margin-top: .75rem;
    margin-bottom: .75rem;
}

ul li {
    margin-bottom: .25rem;
}

section li {
    margin-bottom: .75rem;
}

h1,
h2,
.font2 {
    font-family: "classico-urw", 'Optima', sans-serif;
    font-weight: normal;
    letter-spacing: 0.025em;
    color: var(--noir);
    line-height: 1.2;
}

b,
.uppercase {
    font-weight: normal;
    text-transform: uppercase;

}

hr {
    margin: 1rem 0 2rem;
    border-color: #e6edff;
}

h1 {
    margin: var(--top-space) 0 .25rem;
    text-transform: uppercase;
    font-size: 3rem;
    color: var(--bleu-noir);
}

h2 {
    font-size: 2rem;
    margin: 0 0 3rem;
    text-transform: uppercase;
}



strong,
.date {
    font-weight: bold;
}

/*  #endregion */

/* #region Faux tableau */
.table {
    display: flex;
    flex-flow: row wrap;
    align-items: flex-start;
    margin: 0 -1rem;
}

.table>div {
    padding: 0 1rem .5rem;
}

.date {
    flex: 0 1 25%;
    min-width: 200px;
    padding-bottom: 0 !important;
}

.parcours {
    flex: 0 1 75%;

}

/* #endregion */

/* #region FRONT */
.front {
    padding-top: var(--top-space);
    min-height: 90vh;
    background: var(--snow-1) url(../img/polyedre_filigrane_v2.png) no-repeat center 10vh;
    background-attachment: fixed;
    padding: 0;

    display: flex;
    flex-flow: column wrap;
}

.front .section-wrapper {}

.front * {
    text-align: center;
}

.front h1 {
    /* margin-bottom: 33vh; */
}

.front .slogan {
    margin-top: auto;
    margin-bottom: 5vh;
}

.front h2 {

    text-transform: none;
    margin-bottom: 0;
}

/* #endregion */

/* #region FOOTER */
footer {
    padding: 1rem 0 1rem 10vh;
    color: #7E7966;
    font-size: .875rem;
}

/* #endregion */

@media (min-width: 800px) {
    .wrapper {
        flex-direction: row;
        margin: 10vh auto;
    }

    h1 {
        margin: 0;
    }
}

@media (max-width: 1366px) {
    #parcours .section-wrapper {
        max-width: 55%;
        flex: 1 1 55%;
    }

    .section-portrait {
        max-width: 20%;
        flex: 0 1 20%;
        margin-left: 2rem;
    }
}

@media (max-width: 767px) {
    html {
        font-size: 16px;
    }

    main {
        max-width: none;
    }

    header {
        display: flex;
        justify-content: space-between;
        position: fixed;
        top: 0;
        left: 0;
        right: 0;
        bottom: auto;
        z-index: 4;
        height: auto;
        max-width: none;
        width: 100%;
        align-items: flex-start;
    }

    .site-header.bg-1 {
        background-color: transparent;
    }

    .site-logo {
        margin: 0;
        padding-left: 2rem;
        margin-top: 0.33rem;
        margin-bottom: .33rem;
        width: 60px;
    }

    /* #region BURGER */
    .site-header>div {
        width: 100%;
    }

    #toggleNav {
        display: block;
        margin-top: .25rem;
        margin-bottom: .25rem;
        margin-right: 1.5rem;
        margin-left: auto;
    }

    #toggleNav+nav {
        /* display: none; */
        height: 0;
        max-height: 0;
        overflow: hidden;
    }

    #toggleNav.p-icon-close+nav {
        /* display: block; */
        height: auto;
        max-height: 1000px;
    }

    .p-btn {
        position: relative;
        z-index: 1;
        border: 0 none;
        padding: 0;
        background: transparent;

        width: 40px;
        height: 40px;
    }

    .p-btn:focus {
        outline: 0 none;
    }

    .p-btn span {
        overflow: hidden;
        text-indent: -200px;
        opacity: 0;
    }

    .p-btn span,
    .p-btn::before,
    .p-btn::after {
        content: "";
        display: block;
        border-radius: 2px;
        position: absolute;
        top: 47%;
        left: 10%;
        height: 6%;
        width: 80%;

        transform-origin: 50%;

        background: var(--bleu-blanc);

        transition: all .3s linear;
    }

    .p-icon-burger::before {
        top: 24%;
    }

    .p-icon-burger span {
        opacity: 1;
    }

    .p-icon-burger::after {
        top: 70%;
    }

    /* close ------------- */
    .p-icon-close::before {
        transform: rotate(-45deg);
        top: 50%;
    }

    .p-icon-close::after {
        transform: rotate(45deg);
        top: 50%;
    }

    .p-icon-close span {
        opacity: 0;
    }

    /* + plus ++++++++++++ */
    .p-icon-plus::after {
        transform: rotate(90deg);
    }

    /* - moins ------------ */
    .p-icon-minus::after {
        transform: rotate(0deg);
    }

    /* #endregion burger */

    nav {
        margin-left: auto;
        margin-right: 2rem;
        margin-top: 0;
        border: 0;
        transition: max-height ease-in-out 400ms;
    }

    nav ul {
        border: 0;
        padding: 0;
        margin-bottom: 10vh;
    }

    nav li {
        text-align: center;
        /* display: inline-block; */
    }

    nav li a {
        color: var(--bleu-blanc);
    }


    main {
        position: relative;
        z-index: 1;
        padding-top: 60px;
        margin-left: 0;
    }

    section {
        padding-left: 2rem;
        padding-right: 2rem;
    }

    h1 {
        font-size: 2rem;
    }

    h2 {
        font-size: 1.7rem;
    }

    .front {
        background-size: 100%;
    }

    .front h1 {
        margin-top: 0;
        /* margin-bottom: 15vh; */
    }

    .cols {
        flex-flow: column wrap;
    }

    .demi {
        max-width: none;
        flex: 0 1 100%;
    }

    /* deux colonnes portrait */
    .section-2col {
        display: block
    }

    #parcours .section-wrapper {
        max-width: 600px;
        flex: 1 1 100%;
    }


    .section-portrait {
        max-width: 50%;
        /* height: 360px; */
        margin: 3rem 0 0;
    }

    .section-portrait img {
        /* width: 100%;
        height: 100%;
        display: block;
        max-width: 100%;
        object-fit: cover; */
    }
}